---
title: Get the list of configured registries in the account
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Containers](https://developers.cloudflare.com/api/go/resources/containers)

[Registries](https://developers.cloudflare.com/api/go/resources/containers/subresources/registries)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get the list of configured registries in the account

client.Containers.Registries.List(ctx, query) (\*SinglePage\[[RegistryListResponse](<https://developers.cloudflare.com/api/go/resources/containers#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/containers/registries

Get the list of configured registries in the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Containers Write``Workers Containers Read`

##### ParametersExpand Collapse

<details>

<summary>

query RegistryListParams

</summary>

AccountID param.Field\[string]

Account identifier.

<a href="#(resource)%20containers.registries%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.registries%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RegistryListResponse struct{…}

An image registry added in a customer account.

</summary>

CreatedAt string

UTC timestamp string in ISO 8601 format.

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

Domain string

A string representation of a domain name. See RFC-1034 (<a href="https://www.ietf.org/rfc/rfc1034.txt">https://www.ietf.org/rfc/rfc1034.txt</a>). Consider that the limit of a domain name is min 3 and max 253 ASCII characters.

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20domain">Link to this property</a>

<details>

<summary>

Kind RegistryListResponseKindOptional

The type of registry that is being configured.

</summary>

One of the following:

const RegistryListResponseKindEcr RegistryListResponseKind = "ECR"

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%200">Link to this property</a>

const RegistryListResponseKindDockerHub RegistryListResponseKind = "DockerHub"

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%201">Link to this property</a>

const RegistryListResponseKindGar RegistryListResponseKind = "GAR"

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%202">Link to this property</a>

const RegistryListResponseKindDefault RegistryListResponseKind = "default"

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20kind">Link to this property</a>

PublicKey stringOptional

Public component of the registry credentials. For managed registries this is a base64-encoded public key; for external registries the format depends on the registry provider.

<a href="#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)%20%3E%20(property)%20public_key">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.registries%20%3E%20(model)%20RegistryListResponse%20%3E%20(schema)>)

### Get the list of configured registries in the account

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/containers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Containers.Registries.List(context.TODO(), containers.RegistryListParams{
    AccountID: cloudflare.F("account-123"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2021-04-01T12:32:41.488Z",
      "domain": "docker.io",
      "kind": "ECR",
      "public_key": "public_key"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2021-04-01T12:32:41.488Z",
      "domain": "docker.io",
      "kind": "ECR",
      "public_key": "public_key"
    }
  ],
  "success": true
}
```